VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties
VisiMath.Transformation Class Reference

Full transformation using scale, rotational quaternion and translation vector. More...

Inheritance diagram for VisiMath.Transformation:

List of all members.

## Public Member Functions
| Transformation ()
override void | UpdateMatrix ()
| Updates transformation from the scale vector, quaternion and translation vector.
override void | GetAll (out Vector3 pos, out Quaternion rot, out Vector3 scale, out float uniscale)
| Used to quickly get all of the properties with one call.
override void | GetAll (out Vector3 pos, out Vector3 rot, out Vector3 scale, out float uniscale)
| Used to quickly get all of the properties with one call.
override void | SetCurrentState (TransformationState state)
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
override void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
override string | ToString ()
override ITransformation | GetCopy ()
| Returns copy of the transformation.
## Protected Attributes
Vector3 | _scale
| Internaly stored scale vector.
## Properties
override bool | Scalable`[get]`
| True if object supports scaling.
override Vector3 | Scale`[get, set]`
| Scale in different axis.
override float | UniformScale`[get, set]`
| Uniform scale or returns zero if scale is not uniform.

## Detailed Description

Full transformation using scale, rotational quaternion and translation vector.

## Constructor & Destructor Documentation

VisiMath.Transformation.Transformation | ( |  | ) |

## Member Function Documentation

override void VisiMath.Transformation.GetAll | ( | out Vector3 | pos,
|  | out Quaternion | rot,
|  | out Vector3 | scale,
|  | out float | uniscale
| ) |  | `[virtual]`

Used to quickly get all of the properties with one call.

Parameters:

  pos | Position vector
  rot | quaternion rotation
  scale | Scale
  uniscale | Uniform Scale

Reimplemented from VisiMath.QTransformation.

override void VisiMath.Transformation.GetAll | ( | out Vector3 | pos,
|  | out Vector3 | rot,
|  | out Vector3 | scale,
|  | out float | uniscale
| ) |  | `[virtual]`

Used to quickly get all of the properties with one call.

Parameters:

  pos | Position vector
  rot | RPY rotation
  scale | Scale
  uniscale | Uniform Scale

Reimplemented from VisiMath.QTransformation.

override ITransformation VisiMath.Transformation.GetCopy | ( |  | ) | `[virtual]`

Returns copy of the transformation.

Returns:

Reimplemented from VisiMath.QTransformation.

override void VisiMath.Transformation.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisiMath.QTransformation.

override void VisiMath.Transformation.SetCurrentState | ( | TransformationState | state | ) | `[virtual]`

Reimplemented from VisiMath.QTransformation.

override string VisiMath.Transformation.ToString | ( |  | ) |

Reimplemented from VisiMath.QTransformation.

override void VisiMath.Transformation.UpdateMatrix | ( |  | ) | `[virtual]`

Updates transformation from the scale vector, quaternion and translation vector.

Reimplemented from VisiMath.QTransformation.

override void VisiMath.Transformation.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Serializes object to XML.

Parameters:

  writer | XML writer to save values

Reimplemented from VisiMath.QTransformation.

## Member Data Documentation

Vector3 VisiMath.Transformation._scale`[protected]`

Internaly stored scale vector.

## Property Documentation

override bool VisiMath.Transformation.Scalable`[get]`

True if object supports scaling.

Reimplemented from VisiMath.BaseTransformation.

override Vector3 VisiMath.Transformation.Scale`[get, set]`

Scale in different axis.

Reimplemented from VisiMath.MoveTransformation.

override float VisiMath.Transformation.UniformScale`[get, set]`

Uniform scale or returns zero if scale is not uniform.

Reimplemented from VisiMath.MoveTransformation.

The documentation for this class was generated from the following file:

- Transformation.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events